EDIT - bug #6224

cdm-webapp is not using current version of cdmlib-remote-webapp.war
11/25/2016 05:40 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: devOps Estimated time: 0:00 hour
Target version: Release 4.4

Severity: blocker Found in Version:

Description

After pushing a specific commit to the server and runing the build pipeline the resulting cdm-server is nor making use of that commit.
It seems to be running on the old code.

A comparison of the md5sums of the cdmlib-remote-webapp.war artifacts as used in the jenkins pipeline revealed that the problem
occures in the cdm-webapp project.

The correct war file is downloaded by maven but when creating the war overlay an old version of that artifact is used.

Summary of the md5sum comparison:

cdmlib-remote-4.4.0-SNAPSHOT.jar in different steps of the build pipeline:
all checksums are md5
as produced by the cdmlib integration job

~/tmp/check/cdmlib-remote-webapp-4.4.0-SNAPSHOT/WEB-INF/lib
0ab56ced3b5412f44acd6e83204bb833b cdmlib-remote-4.4.0-SNAPSHOT .jar

what has been downloaded by the cdm-webapp job

Downloaded:
http://wp5.e-taxonomy.eu/mavenrepo/eu/etaxonomy/cdmlib-remote-webapp/4.4.0-SNAPSHOT/cdmlib-remote-webapp-4.4.0-201611

25.142844-97.war (72706 KB at 86967.7 KB/sec)
11f44279c56f9e4da5e8d3b05088223a cdmlib-remote-webapp-4.4.0-20161125.142844-97 .war

Downloaded:
http://wp5.e-taxonomy.eu/mavenrepo/eu/etaxonomy/cdm-vaadin/4.4.0-SNAPSHOT/cdm-vaadin-4.4.0-20161125.140639-1562.war
(90568 KB at 88100.6 KB/sec)

89276735c628bbc48820f3b374d13005 cdmlib-remote-4.4.0-SNAPSHOT .jar

what is contained in the cdm-webapp

~/tmp/check/cdm-webapp-4.4.0-20161125.142945-1630/WEB-INF/lib
89276735¢c628bbc48820f3b374d13005 cdmlib-remote-4.4.0-SNAPSHOT .jar

what is contained in the cdm-servers cdm-webapp
~/tmp/check/cdm-server-4.4.0-SNAPSHOT/cdm-webapp-4.4.0-SNAPSHOT/WEB-INF/lib
89276735c628bbc48820f3b374d13005 cdmlib-remote-4.4.0-SNAPSHOT jar
Conclusion:

The problem obviously is the order of the overlays. In the pom vaadin comes first and thus determines the version of the
cdmlib-remote-webapp artifact. Swapping the order solves the probelm.

The blog post https://dzone.com/articles/mavens-war-overlays-how-manage has interesting details on skinny overlays an is woirth
reading even if it is not directly helpful in understanding the issue here.
Associated revisions

Revision 55d4981 - 11/25/2016 06:15 PM - Andreas Kohlbecker

fix #6224 swapping the war overlay order to avoid build pipeline inconsistencies

History

#1 - 11/25/2016 05:41 PM - Andreas Kohlbecker
- Description updated

#2 - 11/25/2016 05:56 PM - Andreas Kohlbecker
- Description updated

#3 - 11/25/2016 06:09 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to In Progress

#4 - 11/25/2016 06:18 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-webapp|f55d498166acfa645e4f31af5869302f6acdb814.

#6 - 12/08/2016 08:45 AM - Andreas Kohlbecker

- Category changed from architecture to devOps

#7 - 12/15/2016 11:41 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

seems to be fixed

03/20/2024 22


https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-webapp/revisions/f55d498166acfa645e4f31af5869302f6acdb814
http://www.tcpdf.org

